### execution::allocator_t

A property to describe which allocator an executor will use to allocate the memory required to store a submitted function object.

    template<
        typename ProtoAllocator>
    struct allocator_t

##### Member Functions

Name | Description
--- | ---
allocator_t [constructor] | Default constructor.
value | Obtain the allocator stored in the allocator_t property object.

##### Data Members

Name | Description
--- | ---
is_applicable_property_v [static] | The allocator_t property applies to executors.
is_preferable [static] | The allocator_t property can be preferred.
is_requirable [static] | The allocator_t property can be required.

##### Requirements

Header: `asio/execution/allocator.hpp`

Convenience header: `asio/execution.hpp`